- NAME
- DESCRIPTION
- USAGE

# NAME

RT::Action::ClearCustomFieldValues - clear all the values of a custom field on a ticket

# DESCRIPTION

ClearCustomFieldValues clears the values of a custom field on a ticket. For multiple value custom fields, this action will clear all values.

Since it requires a Custom Field name or ID as an argument, you need to create a specific Action with this ScripAction module and set "Parameters to Pass" with the desired Custom Field to be cleared.

# USAGE

Assume you have a date custom field called 'Next Follow Up'. When a ticket is resolved, you want to clear the date value because no more follow-ups are needed.

The first step is to create a new Custom Action. Go to Admin -> Global -> Actions and find "Clear Custom Field Value Template" in the action list. Click on that action, then click Copy Action to create a new Action.

Update the fields with your new custom field information, for example:

        Name: Clear Next Follow Up
        Description: Clear Next Follow Up custom field
        Action Module: ClearCustomFieldValues
        Parameters to Pass: Next Follow Up

For "Parameters to Pass", add the custom field name or ID that you want to clear.

Finally, create a new Scrip with the Custom Action you have just created. Go to Admin -> Scrips -> Create.

Fill out the new Scrip with the following information:

        Description: Clear Next Follow Up custom field on Resolve
        Condition: On Resolve
        Action: Clear Next Follow Up
        Template: Blank
        Stage: Normal

← Back to index